Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Process_Element.h File Reference

`#include "ciao/DeploymentC.h"`
`#include "Config.h"`
`#include "Basic_Handler.h"`
`#include "Config_Handler_export.h"`
`#include "ace/SString.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/OS_main.h"`
`#include "tao/Exception.h"`
`#include "XercesString.h"`
`#include <xercesc/util/XMLUniDefs.hpp>`
`#include <xercesc/util/XercesDefs.hpp>`
`#include <xercesc/dom/DOM.hpp>`
`#include <xercesc/util/XMLURL.hpp>`
`#include <xercesc/util/XMLUri.hpp>`
`#include "Process_Element_T.h"`

Include dependency graph for Process_Element.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | Process_Function< DATA >
class | Process_Member_Function< OBJ, DATA >
class | Process_Member_Function_Remote< OBJ, DATA >
class | Process_Static_Function< DATA >
## Typedefs
typedef ACE_Hash_Map_Iterator< ACE_TString, int, ACE_Null_Mutex > | REF_ITER
typedef ACE_Hash_Map_Manager< int, ACE_TString, ACE_Null_Mutex > | IDREF_MAP
## Functions
bool | process_reference_seq (DOMNode *node, XStr &node_name, const char *name, CORBA::ULongSeq &seq, int &index, IDREF_MAP &idref_map)
bool | process_reference (DOMNode *node, XStr &node_name, const char *name, CORBA::ULong &ref, int &index, IDREF_MAP &idref_map)
## Variables
BEGIN_DEPLOYMENT_NAMESPACE typedef ACE_Hash_Map_Manager< ACE_TString, int, ACE_Null_Mutex > | REF_MAP

## Detailed Description

Id
  Process_Element.h,v 1.3 2005/05/17 14:54:13 ossama Exp

Author:
  Emre Turkay <turkaye@dre.vanderbilt.edu> Jaiganesh Balasubramanian <jai@dre.vanderbilt.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager<int, ACE_TString, ACE_Null_Mutex> IDREF_MAP

typedef ACE_Hash_Map_Iterator<ACE_TString, int, ACE_Null_Mutex> REF_ITER

## Function Documentation

bool process_reference | ( | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | CORBA::ULong & | ref,
|  | int & | index,
|  | IDREF_MAP & | idref_map
| ) |

bool process_reference_seq | ( | DOMNode * | node,
|  | XStr & | node_name,
|  | const char * | name,
|  | CORBA::ULongSeq & | seq,
|  | int & | index,
|  | IDREF_MAP & | idref_map
| ) |

## Variable Documentation

BEGIN_DEPLOYMENT_NAMESPACE typedef ACE_Hash_Map_Manager<ACE_TString, int, ACE_Null_Mutex> REF_MAP